jQuery(document).ready(function($){

	$(".bla-button").on("click",function(){

		var $button = $(this);

		if( $button.hasClass("disabled") ) return;

		$button.addClass("disabled").parent().addClass("bla-working");

		$button.siblings(".bla-status").remove();

		var post_data = {
			"action" : "bla_sync_"+$button.data("type"),
			"ID" : $button.data("id")
		};

		$.post( 
			ajaxurl, 
			post_data, 
			function( response ){
				$button.removeClass("disabled").parent().removeClass("bla-working");
				var $status = $("<div class='bla-status' ></div>").text( response.message ); 
				$button.after( $status );

				if( response.status === "OK" ){
					var $last_synced_time =  $button.parent().find(".bla-sync-time");

					if( !$last_synced_time.length ){
						$last_synced_time = $("<p class='bla-sync-time'><small class='description' ></small></p>").insertAfter( $status );
					}
					
					$last_synced_time.find("small").text( response.last_synced_time );

					$status.addClass( "bla-status-success" );
				}
				else {

					$status.addClass( "bla-status-error" );
				}
			}, 
			"json" 
		);

	});

	$("#bla_button_sync_articles").on("click",function(){

		var $button = $(this);

		if( $button.hasClass("disabled") ) return;

		$button.addClass("disabled");

		var $message = $button.parent().siblings("td").first();

		var products = $button.data("products"),
			total = products.length,
			per_page = 10,
			total_instances = Math.ceil( total / per_page ),
			instance = 0;

		$message.text( "Sync starting." );

		sync();

		function sync(){

			var products_slice = products.slice( instance*per_page, instance*per_page+per_page );

			var data = {
				"action" : "bla_sync_products",
				"products" : products
			};

			$.post( ajaxurl, data, function( response ){

				var completed = Math.min(total,instance*per_page);
				$message.text( "Sync running. "+completed+"/"+total+ " successfully synchronized." );
				instance++;

				if( response["status"] !== "OK" ){
					$message.text( response["message"] );
					$button.removeClass("disabled");
				} 
				else if( total_instances == instance ){
					$button.removeClass("disabled");
					$message.text( "Sync completed. "+total+"/"+total+" successfully synchronized.")
				}
				else {
					sync();
				}

			}, "json" );
		}

	});

});