<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/*
* Plugin Name: WooCommerce Björn Lundén Integration
* Version: 1.0.0
* Author: Björn Lundén Information AB
* Author URI: https://www.blinfo.se
* Description: Connects your WooCommerce store to Björn Lunden Information AB.
* License: GPLv2 or later
*/

if ( ! class_exists( 'BLA_Plugin' ) ) {

  // Text domain for translation

  function woocommerce_bjorn_lunden_init() {
    load_plugin_textdomain( 'woocommerce-bjorn-lunden-integration', false, plugin_basename( dirname( __FILE__ ) ) . '/languages' );
  }
  add_action('init', 'woocommerce_bjorn_lunden_init');


  // Settings link on Plugins page

  function woocommerce_bjorn_lunden_link_on_plugins_page( $links ) {
    $links = array_merge( array(
  	'<a href="' . esc_url( admin_url( '/admin.php?page=wc-settings&tab=bla' ) ) . '">' . __( 'Settings', 'woocommerce-bjorn-lunden-integration' ) . '</a>' ), $links ); return $links;
  }
  add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'woocommerce_bjorn_lunden_link_on_plugins_page' );

  // Defines & constants

  define( "BLA_FILE", __FILE__ );
  define( "BLA_DIR", dirname( __FILE__ ) );
  define( "BLA_VERSION",  '1.0.0' );

  // Classes

  include "libs/class.BLA_API.php";
  include "libs/class.BLA_Helpers.php";
  include "libs/class.BLA_Plugin.php";

  new BLA_Plugin();

}
